<?php

require_once 'utmtracking.civix.php';

use Symfony\Component\DependencyInjection\ContainerBuilder;

/**
 * Implements hook_civicrm_container()
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_container/
 */
function utmtracking_civicrm_container(ContainerBuilder $container) {
    $container->addCompilerPass(new \Civi\UtmTracking\CompilerPass());
}

/**
 * Implements hook_civicrm_config().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_config/
 */
function utmtracking_civicrm_config(&$config): void {
  _utmtracking_civix_civicrm_config($config);
}

/**
 * Implements hook_civicrm_install().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_install
 */
function utmtracking_civicrm_install(): void {
  _utmtracking_civix_civicrm_install();
}

/**
 * Implements hook_civicrm_enable().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_enable
 */
function utmtracking_civicrm_enable(): void {
  _utmtracking_civix_civicrm_enable();
}
